главная|main page

состояние|status

блог|blog

файлы|files

программы|software

summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCarlos Fenollosa <carlos.fenollosa@gmail.com>2014-06-30 09:05:15 +0200
committerCarlos Fenollosa <carlos.fenollosa@gmail.com>2014-06-30 09:05:15 +0200
commit8e6d61539ff6f8d3fffb95d59a90539571aac76c (patch)
tree31be4fecfa446e66be98db29c4e56667b49cb58a
parentcd921faeab18c121b7c160e6152bf553d3bd87d7 (diff)
parenta5a196773a1e726da18fd2e76122467b58816283 (diff)
Merge pull request #55 from Lex-2008/small-fixes/5
Fixes for blogs without tags
-rwxr-xr-xbb.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/bb.sh b/bb.sh
index 1694830..d9b852c 100755
--- a/bb.sh
+++ b/bb.sh
@@ -720,7 +720,7 @@ all_tags() {
echo "<h3>$template_tags_title</h3>" >> "$contentfile"
echo "<ul>" >> "$contentfile"
- for i in ./$prefix_tags*.html; do
+ for i in $(ls ./$prefix_tags*.html 2>/dev/null || echo ''); do
echo -n "."
nposts="$(grep -c "<\!-- text begin -->" $i)"
tagname="$(echo $i | cut -c $((${#prefix_tags}+3))- | sed 's/\.html//g')"
@@ -784,6 +784,7 @@ tags_in_post() {
# Arguments are tags
# Prints one line with space-separated tags to stdout
posts_with_tags() {
+ [ $# -lt 1 ] && return
tag_files="$(echo "$@" | sed "s/\S\+/tag_&.html/g")"
sed -n '/^<h3><a class="ablack" href="[^"]*">/{s/.*href="\([^"]*\)">.*/\1/;p}' $tag_files
}
@@ -836,7 +837,7 @@ rebuild_tags() {
rm "$tmpfile"
done
# Now generate the tag files with headers, footers, etc
- for i in $(ls -t ./$prefix_tags*.tmp.html); do
+ for i in $(ls -t ./$prefix_tags*.tmp.html 2>/dev/null || echo ''); do
tagname="$(echo $i | cut -c $((${#prefix_tags}+3))- | sed 's/\.tmp\.html//g')"
create_html_page "$i" "$prefix_tags$tagname.html" yes "$global_title &mdash; $template_tag_title \"$tagname\""
rm "$i"